package com.cmvr.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cmvr.common.core.domain.entity.SysFileInfo;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.util.List;

public interface ISysFileService extends IService<SysFileInfo> {

    public List<SysFileInfo> selectFileList(SysFileInfo sysFileInfo);

    public String uploadFile(MultipartFile file, Integer fileType);

    public String uploadFile(File file, Integer fileType);

    public int deleteFileByIds(Long[] fileIds);
}
